### Method

# Gtk ColumnViewget_sorter

#### Declaration [src]

    GtkSorter*
    gtk_column_view_get_sorter (
      GtkColumnView* self
    )

#### Description [src]

Returns a special sorter that reflects the users sorting choices in the column view.

To allow users to customizable sorting by clicking on column headers, this sorter needs to be set on the sort model underneath the model that is displayed by the view.

See `gtk_column_view_column_set_sorter()` for setting up per-column sorting.

Here is an example:

    gtk_column_view_column_set_sorter (column, sorter);
    gtk_column_view_append_column (view, column);
    sorter = g_object_ref (gtk_column_view_get_sorter (view)));
    model = gtk_sort_list_model_new (store, sorter);
    selection = gtk_no_selection_new (model);
    gtk_column_view_set_model (view, selection);

Gets property | `Gtk.ColumnView:sorter`

#### Return value

Type: `GtkSorter`

The `GtkSorter` of `self`.

The data is owned by the instance.
The return value can be `NULL`.